=== tools/CMakeLists.txt ===
ADD_SUBDIRECTORY(medimport)
ADD_SUBDIRECTORY(mdump)
ADD_SUBDIRECTORY(medconforme)
