## med-fichier 2.3.6

=== debian/changelog ===
med-fichier (2.3.6-5) unstable; urgency=low

  * Reverted last change, added med_exit_if.h to libmedc-dev (closes: #599052).
  * Added conflict with problematic libmed-dev 2.3.6-4 (closes: #604626).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 28 Nov 2010 08:52:54 -0500

med-fichier (2.3.6-4) unstable; urgency=low

  * Changed libmed-dev install file to include all headers (closes: #599052).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 22 Nov 2010 14:08:01 -0500

med-fichier (2.3.6-3) unstable; urgency=low

  * Changed control file to conform to Debian Science Policy Manual.
  * Fixed path setting in xmdump to point to mdump (closes: #585516).
  * Added patch and unpatch into debian/rules targets.
  * Added lintian overrides for Adam Powell's name.
  * Bumped Standards-Version, no changes needed.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 21 Jul 2010 16:50:52 -0400

med-fichier (2.3.6-2) unstable; urgency=low

  * Added comments to most patches.
  * Switch to using MPI version of HDF5 (closes: #566828).
  * Add library links to make MPI version of HDF5 work.
  * Extended C++-safety.
  * Added missing files medimport[cxx]_win_dll.h to libmedimport[cxx]-dev.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 27 Apr 2010 14:33:52 -0400

med-fichier (2.3.6-1) unstable; urgency=low

  * New upstream (closes: #563824).
  * Changed to team maintenance by debian-science.
  * Added Adam Powell (me) to Uploaders (with orig maintainer permission).
  * Bumped Standards-Version.
  * Added Homepage to control.
  * Updated copyright file to new version, and corrected source URL.
  * Updated to source format 3.0 (quilt).
  * Forward-ported all patches to new upstream.
  * Added new patch to remove files removed during build/binary/clean process.
  * Fixed C++ unsafe include of med.h (closes: #564586).
  * Added libtoolize to make build target work.
  * Removed .la files from -dev packages.
  * Added ${misc:Depends} to all binaries without it.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sat, 06 Feb 2010 23:47:59 -0500

med-fichier (2.3.5-2) unstable; urgency=low

  * Use quilt for patch management.
  * Enable AM_MAINTAINER_MODE and regenerate autotools related files.
    (closes: bug#554502).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 14 Nov 2009 14:23:22 +0000

med-fichier (2.3.5-1) unstable; urgency=low

  * New upstream version. 
    - Fix build with recent hdf5 (closes: bug#542340).
    - New packages: libmedimport0, libmedimport-dev, libmedimportcxx0 and
      libmedimportcxx-dev.
  * Change section of libraries to libdevel
  * Change doc-base section to Science/Data Analysis from Apps/Programmming.
  * Bump Standards-Version to 3.8.3 (no changes).
  * Switch to debhelper 5.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Aug 2009 15:33:03 +0000

med-fichier (2.3.1-2) unstable; urgency=low

  * Switch to gfortran from g77.
  * Fix tests/f/test33.f.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Jul 2007 02:12:49 +0200

med-fichier (2.3.1-1) unstable; urgency=low

  * New upstream version.
  * Make the package binNMU safe.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 21:31:55 +0100

med-fichier (2.2.3-2) unstable; urgency=low

  * Added support for GNU/kFreeBSD.
  * Relibtoolize at build time.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Aug 2006 15:15:53 +0200

med-fichier (2.2.3-1) unstable; urgency=low

  * Initial Release (Closes: bug#381568).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  5 Aug 2006 16:58:43 +0200
