=== debian/control ===
Source: med-fichier
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), quilt, libtool, gfortran, libhdf5-mpi-dev, hdf5-tools, tk8.4
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/debian-science/packages/med-fichier.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/med-fichier.git
Homepage: http://www.code-aster.org/outils/med/

Package: libmed1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libmed-tools, libmed-doc
Description: Library to exchange meshed data (Fortran version)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the MED-fichier runtime library (Fortran version).

Package: libmed-dev
Section: libdevel
Architecture: any
Depends: libmed1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libmed
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.

Package: libmedc1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libmed-tools, libmed-doc
Description: Library to exchange meshed data (C version)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the MED-fichier runtime library (C version).

Package: libmedc-dev
Section: libdevel
Architecture: any
Depends: libmedc1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libmed-dev (= 2.3.6-4)
Description: Development files for libmedc
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the header files and static library needed to
 compile applications that use libmedC.

Package: libmedimport0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmedc1
Suggests: libmed-tools, libmed-doc
Description: Library to import old version files
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the library able to import old version files (C 
 version).

Package: libmedimport-dev
Section: libdevel
Architecture: any
Depends: libmedimport0 (= ${binary:Version}), libmedc-dev, ${misc:Depends}
Conflicts: libmed-dev (= 2.3.6-4)
Description: Development files for libmedimport0
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the header files and static library needed to
 compile applications that use libmedimport.

Package: libmedimportcxx0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmedimport0
Suggests: libmed-tools, libmed-doc
Description: Library to import old version files (C++ support)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the library able to import old version files (C++
 version).

Package: libmedimportcxx-dev
Section: libdevel
Architecture: any
Depends: libmedimportcxx0 (= ${binary:Version}), libmedimport-dev, ${misc:Depends}
Conflicts: libmed-dev (= 2.3.6-4)
Description: Development files for libmedimportcxx0 (C++ support)
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains the header files and static library needed to
 compile applications that use libmdC.

Package: libmed-tools
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tk8.4 | wish
Conflicts: libmed-tools
Description: Runtime tools to handle MED files
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package contains runtime tools for med-fichier:
  - mdump: a tool to dump MED files
  - xmdump: graphical version of mdump.
  - medconforme: a tool to validate a MED file
  - medimport: a tool to convert a MED v2.1 or v2.2 file into a MED v2.3 
    file

Package: libmed-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for the MED-fichier library
 MED-fichier (Modélisation et Echanges de Données, in English Modelisation
 and Data Exchange) is a library to store and exchange meshed data or 
 computation results. It uses the HDF5 file format to store the data.
 .
 This package provides the documentation for the MED-fichier library 
 (in French).
