## med-fichier 3.0.3

=== debian/changelog ===
med-fichier (3.0.3-3) unstable; urgency=low

  * Team upload
  * Rebuild with hdf5 1.8.8
  * FTBFS libtool version mismatch errors fixed.
    Thanks to Peter Green for the patch (Closes: #656740)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Jan 2012 08:55:56 +0100

med-fichier (3.0.3-2) unstable; urgency=low

  * Removed "git checkout" from clean target (closes: #645930).
  * Rebuild fixes libtool version mismatch (closes: #628340).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 19 Oct 2011 15:24:32 -0400

med-fichier (3.0.3-1) unstable; urgency=low

  * New upstream (closes: #626828).
  * Forward-ported patches to new version.
  * Eliminated the restore-tree patch in favor of git checkouts.
  * Moved the xmdump path fix patch into the numbered series.
  * Include v2.3.6 headers in libmed-dev and libmedc-dev.
  * Removed obsolete libmedimportcxx* packages and moved headers to
    libmedimport-dev.
  * Removed tests in /usr/bin subdirs.
  * libmed-doc files are now in /usr/share/doc/libmed-doc/html .
  * Added build-arch and build-indep targets.
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 19 Oct 2011 13:36:48 -0400

med-fichier (2.3.6-6) unstable; urgency=low

  * Added libhdf5-mpi-dev to libmedc-dev Depends (closes: #617729).
  * Bumped Standards-Version, no changes needed.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 01 Apr 2011 16:53:43 -0400
