=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5), quilt, libtool, gfortran, libhdf5-mpi-dev, hdf5-tools, tk8.4
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 5), quilt, libtool, gfortran, libhdf5-mpi-dev (>= 1.8.8), hdf5-tools (>= 1.8.8), tk8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debian-science/packages/med-fichier.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/med-fichier.git
 Homepage: http://www.code-aster.org/outils/med/
@@ -46,7 +46,7 @@
 Package: libmedc-dev
 Section: libdevel
 Architecture: any
-Depends: libmedc1 (= ${binary:Version}), ${misc:Depends}
+Depends: libmedc1 (= ${binary:Version}), libhdf5-mpi-dev, ${misc:Depends}
 Conflicts: libmed-dev (= 2.3.6-4)
 Description: Development files for libmedc
  MED-fichier (Modélisation et Echanges de Données, in English Modelisation
@@ -73,40 +73,16 @@
 Section: libdevel
 Architecture: any
 Depends: libmedimport0 (= ${binary:Version}), libmedc-dev, ${misc:Depends}
-Conflicts: libmed-dev (= 2.3.6-4)
+Conflicts: libmed-dev (= 2.3.6-4), libmedimportcxx-dev
+Replaces: libmedimportcxx-dev
+Provides: libmedimportcxx-dev
 Description: Development files for libmedimport0
  MED-fichier (Modélisation et Echanges de Données, in English Modelisation
  and Data Exchange) is a library to store and exchange meshed data or 
  computation results. It uses the HDF5 file format to store the data.
  .
  This package contains the header files and static library needed to
- compile applications that use libmedimport.
-
-Package: libmedimportcxx0
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmedimport0
-Suggests: libmed-tools, libmed-doc
-Description: Library to import old version files (C++ support)
- MED-fichier (Modélisation et Echanges de Données, in English Modelisation
- and Data Exchange) is a library to store and exchange meshed data or 
- computation results. It uses the HDF5 file format to store the data.
- .
- This package contains the library able to import old version files (C++
- version).
-
-Package: libmedimportcxx-dev
-Section: libdevel
-Architecture: any
-Depends: libmedimportcxx0 (= ${binary:Version}), libmedimport-dev, ${misc:Depends}
-Conflicts: libmed-dev (= 2.3.6-4)
-Description: Development files for libmedimportcxx0 (C++ support)
- MED-fichier (Modélisation et Echanges de Données, in English Modelisation
- and Data Exchange) is a library to store and exchange meshed data or 
- computation results. It uses the HDF5 file format to store the data.
- .
- This package contains the header files and static library needed to
- compile applications that use libmdC.
+ compile applications that use libmedimport, including C++ applications.
 
 Package: libmed-tools
 Section: science
