=== debian/rules ===
--- 
+++ 
@@ -34,21 +34,63 @@
 			--infodir=\$${prefix}/share/info
 
 build: build-stamp
+build-arch: build-stamp
 build-stamp: config.status
 	dh_testdir
 	libtoolize
 	$(MAKE)
 
-	touch build-stamp
+	touch $@
+
+build-indep: build-indep-stamp
+build-indep-stamp: config.status
+	dh_testdir
+	libtoolize
+	$(MAKE) -C doc
+
+	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f build-stamp 
-	rm -f config/libtool.m4 config/ltoptions.m4 config/ltsugar.m4 \
-	  config/ltversion.m4 config/lt~obsolete.m4
 	debian/rules unpatch
+	dh_clean
+
+restore: clean
+#	I can't get a patch to work right with both git-buildpackage and dpkg-buildpackage...
+	[ -d .git ] && git checkout doc/html/root.html \
+	  tools/medimport/2.1.x/MAJ_21_22_chainebuilt.cxx \
+	  tools/medimport/2.1.x/MAJ_21_22_champsbuilt.cxx \
+	  tools/medimport/2.1.x/MAJ_21_22_elements_maillagebuilt.cxx \
+	  tools/medimport/2.1.x/MAJ_21_22_familles_maillagebuilt.cxx \
+	  tools/medimport/2.1.x/MAJ_21_22_localisation_Gaussbuilt.cxx \
+	  tools/medimport/2.1.x/MAJ_21_22_maillagesbuilt.cxx \
+	  tools/medimport/2.1.x/MAJ_21_22_noeuds_maillagebuilt.cxx \
+	  tools/medimport/2.1.x/MAJ_21_22_profilsbuilt.cxx \
+	  tools/medimport/2.1.x/MED21attrNumLirebuilt.cxx \
+	  tools/medimport/2.1.x/MED21datasetNumLirebuilt.cxx \
+	  tools/medimport/2.3.1/MAJ_231_232_chainebuilt.cxx \
+	  tools/medimport/2.3.1/MAJ_231_232_champsbuilt.cxx \
+	  tools/medimport/2.3.1/MAJ_231_232_maillagesbuilt.cxx \
+	  tools/medimport/2.3.1/MED231champInfoEtRenbuilt.cxx \
+	  tools/medimport/2.3.1/MED231champLireEtUnlinkbuilt.cxx \
+	  tools/medimport/2.3.1/MED231champNormaliserbuilt.cxx \
+	  tools/medimport/2.3.1/MED231champRefInfoEtRenMaabuilt.cxx \
+	  tools/medimport/2.3.1/MED231datasetNumEcrirebuilt.cxx \
+	  tools/medimport/2.3.1/MED231datasetNumLirebuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_chainebuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_champsbuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_entitesbuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_equivalencebuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_fieldOnEntitybuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_jointbuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_maillagesbuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_mesh_datasetsbuilt.cxx \
+	  tools/medimport/2.3.6/MAJ_236_300_string_datasetsbuilt.cxx \
+	  tools/medimport/2.3.6/MED30linkWrbuilt.cxx \
+	  tools/medimport/2.3.6/_MEDconvertStringDatasetsbuilt.cxx
 	dh_clean
 
 install: build
@@ -58,9 +100,12 @@
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -rf $(CURDIR)/debian/tmp/usr/bin/test*
+	rm -rf $(CURDIR)/debian/tmp/usr/bin/test* \
+	  $(CURDIR)/debian/tmp/usr/bin/usescases \
+	  $(CURDIR)/debian/tmp/usr/bin/unittests
 
 # Move all files in their corresponding package
+# This is here and not in binary-* so --list-missing works
 	dh_install --list-missing --sourcedir=debian/tmp
 
 # Build architecture-independent files here.
